Bug 76232 - kpresenter runs under KDE but not GNOME
kpresenter runs under KDE but not GNOME
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: koffice (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-18 10:56 EDT by Chris Ricker
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-21 04:22:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2002-10-18 10:56:31 EDT
kpresenter runs just fine if I use KDE as my DE.  If I use GNOME, however, it
crashes starting up:

[cricker@peppy cricker]$ kpresenter
Creating link /home/cricker/.kde/socket-peppy.
Created link from "/home/cricker/.kde/socket-peppy" to "/tmp/ksocket-cricker"
DCOPServer up and running.
Creating link /home/cricker/.kde/tmp-peppy.
Created link from "/home/cricker/.kde/tmp-peppy" to "/tmp/kde-cricker"
Running script 'useragent.pl'
Script: Writing entries to /tmp/kde-cricker/kconf_updateutgQrc.tmp
Script: Filtered entries written to /tmp/kde-cricker/kconf_update12iPRa.tmp
Running script 'proxytype.pl'
Script: Writing entries to /tmp/kde-cricker/kconf_update21P0qb.tmp
Script: Filtered entries written to /tmp/kde-cricker/kconf_updateqkHUra.tmp
Running script 'upgrade-transport.pl'
Script: Writing entries to /tmp/kde-cricker/kconf_updateXpYeza.tmp
Script: Filtered entries written to /tmp/kde-cricker/kconf_updateXDWvic.tmp
Write host -> <empty>
Write name -> Sendmail
Write port -> <empty>
Write precommand -> <empty>
Write type -> sendmail
Write transports -> 1
Running script 'kmail-pgpidentity.pl'
Script: Writing entries to /tmp/kde-cricker/kconf_updateDbx1Wa.tmp
Script: Filtered entries written to /tmp/kde-cricker/kconf_update3Smuja.tmp
Running script 'knt-0.1-0.2.pl'
Script: Writing entries to /tmp/kde-cricker/kconf_updateQ9s87a.tmp
Script: Filtered entries written to /tmp/kde-cricker/kconf_updateiba3pb.tmp
Running script 'convertShortcuts.pl'
Script: Writing entries to /tmp/kde-cricker/kconf_update01rK9a.tmp
Script: Filtered entries written to /tmp/kde-cricker/kconf_updatemLjtec.tmp
Write Size -> 48
Write alternateBackground -> 240,240,240
Write background -> 230,230,230
Write buttonBackground -> 230,230,230
Write buttonForeground -> 0,0,0
Write fixed -> Monospace,10,-1,5,50,0,0,0,1,0
Write font -> Sans,10,-1,5,50,0,0,0,0,0
Write foreground -> 0,0,0
Write linkColor -> 0,0,192
Write menuFont -> Sans,10,-1,5,50,0,0,0,0,0
Write selectBackground -> 76,89,166
Write selectForeground -> 255,255,255
Write taskbarFont -> Sans,10,-1,5,50,0,0,0,0,0
Write toolBarFont -> Sans,10,-1,5,50,0,0,0,0,0
Write visitedLinkColor -> 128,0,128
Write widgetStyle -> Bluecurve
Write windowBackground -> 255,255,255
Write windowForeground -> 0,0,0
Write Theme -> Bluecurve
Write AntiAliasing -> true
Write ChangeCursor -> false
Write DoubleClickInterval -> 400
Write ShowIconsOnPushButtons -> true
Write SingleClick -> false
Write colorScheme -> Bluecurve.kcsrc
Write contrast -> 1
Write macStyle -> false
Write action/help_about_kde -> false
Write action/help_report_bug -> false
Write KSpell_Client -> 1
Write Size -> 48
Write activeBackground -> 70,79,134
Write activeBlend -> 115,127,203
Write activeFont -> Sans,10,-1,5,74,0,0,0,0,0
Write activeForeground -> 255,255,255
Write activeTitleBtnBg -> 207,207,207
Write inactiveBackground -> 197,197,197
Write inactiveBlend -> 215,215,215
Write inactiveForeground -> 127,127,127
Write inactiveTitleBtnBg -> 238,238,238
Running script 'klipper-1-2.pl'
Script: Writing entries to /tmp/kde-cricker/kconf_updatebawPUa.tmp
Script: Filtered entries written to /tmp/kde-cricker/kconf_update4BVaTb.tmp
Running script 'schemaStrip.pl'
Script: Writing entries to /tmp/kde-cricker/kconf_updateTWEXoc.tmp
Script: Filtered entries written to /tmp/kde-cricker/kconf_updatejLVNNb.tmp
Write MenuBar -> Enabled
Write TerminalSizeHint -> false
Write bellmode -> 1
Write defaultfont -> Monospace,10,-1,5,50,0,0,0,1,0
Write font -> 6
Write scrollbar -> 2
Write RunOnStart -> false
Running script 'move_session_config.sh'
Script: Writing entries to /tmp/kde-cricker/kconf_updatewK4Djb.tmp
Script: Filtered entries written to /tmp/kde-cricker/kconf_updatezcmnob.tmp
Write count -> 2
Write program1 -> pam-panel-icon
Write program2 -> rhn-applet
Write restartCommand1 -> pam-panel-icon
Write restartCommand2 -> rhn-applet-gui
Write restartStyleHint1 -> 0
Write restartStyleHint2 -> 0
Running script 'pluginlibFix.pl'
Script: Writing entries to /tmp/kde-cricker/kconf_updaterZBvda.tmp
Script: Filtered entries written to /tmp/kde-cricker/kconf_updateMP7JRb.tmp
Write ButtonsOnLeft -> M
Write ButtonsOnRight -> IAX
Write CustomButtonPositions -> true
Write PluginLib -> kwin_bluecurve
Write ShowToolTips -> true
Write AutoRaise -> off
Write AutoRaiseInterval -> 0
Write BorderSnapZone -> 10
Write ClickRaise -> on
Write FocusPolicy -> ClickToFocus
Write MoveMode -> Opaque
Write ResizeMode -> Opaque
Write WindowSnapZone -> 10
Write WindowsPlacement -> Smart
Running script 'noatun20update'
Script: Writing entries to /tmp/kde-cricker/kconf_updateVykphc.tmp
Script: Filtered entries written to /tmp/kde-cricker/kconf_updatewKtIYb.tmp
Invalid entry (missing '=') at /tmp/kde-cricker/kconf_updatewKtIYb.tmp:1
Mutex destroy failure: Device or resource busy
[cricker@peppy cricker]$ Mutex destroy failure: Device or resource busy
kdeinit: Fatal IO error: client killed
kdeinit: sending SIGHUP to children.
kdeinit: sending SIGTERM to children.
kdeinit: Exit.



This is highly reproducible -- I've tried to run it on 4 different machines now
(variety of CPU, video chipsets, and color depths) and I've yet to find a
machine where kpresenter will run if GNOME is in use.  Until this is fixed, I'm
switching all my desktops to KDE....
Comment 1 Matthew J. Mellon 2003-01-06 23:34:57 EST
I also observe the same behavior. Please fix.
Comment 2 Ngo Than 2003-01-21 04:22:53 EST
it's not reproduced in current beta4. 

Note You need to log in before you can comment on or make changes to this bug.